@import url("./global-config.css");

:root {
    --primary: #002758;
    --secondary: #002758;
    --background1: rgb(255, 255, 255);
    --background2: #000923;
    --background3: linear-gradient(180deg, #34588a 0%, #203767 100%);
    --background4: #cccccc5e;
    --background5: rgb(15, 54, 107);
    --blue: #0d6efd;
    --dark-blue: #08194A;
    --light-blue: #1A2139;
    --failure: rgb(235, 87, 87);
    --text5: rgb(255, 255, 255);
    --border: rgb(216, 216, 216);
    --hint: rgb(255, 165, 0);
    --success: rgb(86, 197, 104);
    --primary-filter: brightness(0) saturate(100%) invert(14%) sepia(28%) saturate(3759%) hue-rotate(191deg) brightness(94%) contrast(107%);
    --secondary-filter: brightness(0) saturate(100%) invert(12%) sepia(18%) saturate(7499%) hue-rotate(197deg) brightness(98%) contrast(104%);
}
:root {
  --bg-opacity: 0;
  --bg-base-color: var(--primary);

  --bo-t: 0;
  --bo-l: 0;
  --bo-w: 100%;
  --bo-h: 2px;
  --bo-z: 1;
  --bo-opacity: 0;
  --bo-base-color: var(--border);
}

.ol-bg-dark {
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bg-opacity)) 0%,
      rgba(0, 0, 0, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bg-light {
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bg-opacity)) 0%,
      rgba(255, 255, 255, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bo-dark {
  position: relative;
}

.ol-bo-dark::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bo-opacity)) 0%,
      rgba(0, 0, 0, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

.ol-bo-light {
  position: relative;
}

.ol-bo-light::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bo-opacity)) 0%,
      rgba(255, 255, 255, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

/**
  color system classes end
*/